| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Location Code

Location Code Definitions and Methods. More...

## Classes
struct | unsp__PnpLocationCode
| PNP Location Code. More...
struct | unsp__PnpLocationCodeResult
| PNP Location Code result. More...
struct | unsp__PnpLocationCodeRequest
| PNP Location Code request. More...
struct | unsp__ModifyPnpLocationCodeRequest
| Modify PNP Location Code request. More...
struct | unsp__DeletePnpLocationCodeRequest
| Delete PNP Location Code request. More...
struct | unsp__PnpLocationCodeEntry
| PNP Location Code Entry. More...
struct | unsp__PnpLocationCodeList
| PNP Location Code List. More...
struct | unsp__PnpLocationCodeListResult
| PNP Location Code List result. More...
struct | unsp__PnpLocationCodeListRequest
| PNP Location Code List request. More...

## Functions
int | unsp__CreatePnpLocationCode2 (struct unsp__PnpLocationCodeRequest CreatePnpLocationCodeRequest, struct unsp__PnpLocationCodeResult *Result)
| This method creates a PNP Location Code. More...
int | unsp__ModifyPnpLocationCode2 (struct unsp__ModifyPnpLocationCodeRequest ModifyPnpLocationCodeRequest, struct unsp__PnpLocationCodeResult *Result)
| This method modifies the specified PNP Location Code. More...
int | unsp__DeletePnpLocationCode2 (struct unsp__DeletePnpLocationCodeRequest DeletePnpLocationCodeRequest, struct unsp__PnpLocationCodeResult *Result)
| This method deletes the specified PNP Location Code. More...
int | unsp__GetPnPLocationCodeList2 (struct unsp__PnpLocationCodeListRequest PnpLocationCodeListRequest, struct unsp__PnpLocationCodeListResult *PnpLocationCodeListResult)
| This method retrieves a list of PNP location codes defined for a Number Plan. More...

## Detailed Description

Location Code Definitions and Methods.

The Location Code defines the segmentation of the dialed numbers. The Location Code is derived from the Prefix Access Code. The Location Code is segmented into Country Code (L2), Area Code (L1) and Local Office Code (L0). If the matching Location Code contains also digits which are part of the extension numbers, those need to be skipped. As soon as an extension number is assigned to a subscriber, the administrator has begun the process of creating a private numbering (and dialing) plan. The most basic form of a private numbering plan (PNP) is extension dialing. A subscriber with an extension number has two identities:

- A public identity (the subscriber ID, which is usually a public DID number)
- A private identity (the extension number) that can be dialed within the business group

OpenScape Voice also supports the concept of Level 0, 1, and 2 private numbering plans, including location codes. Just as public numbers have multiple forms (with or without the country code, with or without the city code/area code, and so on), private numbers also have multiple forms.

- A PNP L0 (level 0) private number is the private network equivalent of a local subscriber number in the public network; in the US, this is a 7-digit number.
- A PNP L1 private number is the private network equivalent of a national number in the public network.
- A PNP L2 private number is the private network equivalent of an international number in the public network.

## Function Documentation

## ◆ unsp__CreatePnpLocationCode2()

unsp__CreatePnpLocationCode2 | ( | struct unsp__PnpLocationCodeRequest | CreatePnpLocationCodeRequest,
|  | struct unsp__PnpLocationCodeResult * | Result
| ) |  |

This method creates a PNP Location Code.

Parameters

  CreatePnpLocationCodeRequest | API request
  Result | API result MP2 command: APNPLOC [Attributes]

## ◆ unsp__DeletePnpLocationCode2()

unsp__DeletePnpLocationCode2 | ( | struct unsp__DeletePnpLocationCodeRequest | DeletePnpLocationCodeRequest,
|  | struct unsp__PnpLocationCodeResult * | Result
| ) |  |

This method deletes the specified PNP Location Code.

Parameters

  DeletePnpLocationCodeRequest | API request
  Result | API result MP2 command: RPNPLOC [Attributes]

## ◆ unsp__GetPnPLocationCodeList2()

unsp__GetPnPLocationCodeList2 | ( | struct unsp__PnpLocationCodeListRequest | PnpLocationCodeListRequest,
|  | struct unsp__PnpLocationCodeListResult * | PnpLocationCodeListResult
| ) |  |

This method retrieves a list of PNP location codes defined for a Number Plan.

Parameters

  PnpLocationCodeListRequest | API request
  PnpLocationCodeListResult | API result

## ◆ unsp__ModifyPnpLocationCode2()

unsp__ModifyPnpLocationCode2 | ( | struct unsp__ModifyPnpLocationCodeRequest | ModifyPnpLocationCodeRequest,
|  | struct unsp__PnpLocationCodeResult * | Result
| ) |  |

This method modifies the specified PNP Location Code.

Parameters

  ModifyPnpLocationCodeRequest | API request
  Result | API result MP2 command: UPNPLOC [Attributes]